* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  /* PC */
  --title-fontsize: 70px;
  --title-lineheight: 2;
  --title-letterspacing: -0.04em;
  --body-fontsize: 50px;
  --body-lineheight: 2;
  --body-letterspacing: -0.04em;
  --sep-letterspacing: -0.4em;
  --padding-left: 80px;
  --padding-top: 110px;
  --title-margin-bottom: 120px;
  --words-padding-top: 260px;
  --cr-fontsize: 16px;
  --cr-left: 20px;
  --cr-bottom: 14px;
  --bg-color: #dea989;
  --text-color: #211e1c;
}

@media (max-width: 768px) {
  :root {
    --title-fontsize: 44px;
    --title-lineheight: 2;
    --title-letterspacing: -0.04em;
    --body-fontsize: 24px;
    --body-lineheight: 2;
    --body-letterspacing: -0.04em;
    --sep-letterspacing: -0.4em;
    --padding-left: 40px;
    --padding-top: 60px;
    --title-margin-bottom: 60px;
    --words-padding-top: 148px;
    --cr-fontsize: 11px;
    --cr-left: 10px;
    --cr-bottom: 10px;
  }
}

html {
  overflow: hidden;
  height: 100vh;
}

body {
  background-color: var(--bg-color);
  color: var(--text-color);
  font-family: "MFW-PShueiNMinStdN-L", serif;
  font-size: var(--body-fontsize);
  line-height: var(--body-lineheight);
  letter-spacing: var(--body-letterspacing);
  -webkit-font-smoothing: antialiased;
  overflow: hidden;
  height: 100vh;
}

.scroll-wrapper {
  height: 100vh;
  overflow-x: hidden;
  overflow-y: scroll;
  -webkit-overflow-scrolling: touch;
  scrollbar-width: none;
}

.scroll-wrapper::-webkit-scrollbar {
  display: none;
}

.container {
  padding: var(--padding-top) 0 0 var(--padding-left);
  width: calc(100% + 3em);
  word-break: break-all;
}

h1 {
  font-family: "MFW-PShueiNMinStdN-L", serif;
  font-size: var(--title-fontsize);
  font-weight: normal;
  line-height: var(--title-lineheight);
  letter-spacing: var(--title-letterspacing);
  position: fixed;
  top: var(--padding-top);
  left: var(--padding-left);
  z-index: 5;
}

#words {
  font-family: "MFW-PShueiNMinStdN-L", serif;
  padding-top: var(--words-padding-top);
}

.sep {
  letter-spacing: var(--sep-letterspacing);
}

.copyright {
  position: fixed;
  bottom: var(--cr-bottom);
  left: var(--cr-left);
  z-index: 5;
  font-family: "Roboto Condensed", sans-serif;
  font-weight: 400;
  font-size: var(--cr-fontsize);
  line-height: 1;
  letter-spacing: 0;
  color: var(--text-color);
  opacity: 0;
  writing-mode: vertical-lr;
  transform: rotate(180deg);
}
